/*Common Calendar Styles*/

#container-booking {
    margin-bottom: 80px;
}

.container-calendar-wrapper {
    border-width: 1px;
    border-style: solid;
    padding: 1em;
    max-width: 500px;
}

.container-calendar {
    margin-left: auto;
    margin-right: auto;
    max-width: 500px;
}

.calendar, .players, .available-time, .book-button {
    width: 100%;
}

.calendar td p, .players td p {
    color: white;
    margin: 0;
}

.calendar tr {
    height: 3em;
}

.calendar tr:first-child {
    height: 4em;
}

.month-header-element {
    display: inline;
}

.month {
    margin: 0;
    padding-top: 0.3rem;
    white-space: nowrap;
}

.available-cell {
    background-color: darkgray;
    cursor: pointer;
    border-width: 1px;
    border-style: solid;
}

.available-cell-selected {
    background-color: #5a6268;
}

.available-cell:hover {
    background-color: #6c757d;
}

.month:first-letter {
    text-transform:capitalize;
}

.month-header-element {
    display: inline-block;
}

.month-header-element-month-name {
    margin-left: 10px;
    margin-right: 10px;
}

.month-header-elements {
    width: 100%;
}

.players-row {
    height: 6rem!important;
}

.time-slot-cell {
    height: 4rem!important;
}

#players-input {
    background-color: black;
    border-color: #000;
    color: white;
    width: auto;
}

.time-slot-cell div {
    border-style: solid;
    border-width: 1px;
    height: 100%;
    vertical-align: middle;
    border-radius: 10px;
}

.time-text, .price-text {
    font-size: 0.8rem;
    color: white;
}

.time-text {
    margin-top: 5px;
    margin-bottom: 5px;
}

.checkout-button {
    margin-top: 30px;
    margin-bottom: 10px;
    color: white;
    width: 100%;
}

/*Red Alert Calendar Styles*/
.container-calendar-wrapper-red-alert,
.container-calendar-wrapper-red-alert .available-cell,
.container-calendar-wrapper-red-alert .time-slot-cell div {
    border-color: #E63213!important;
}

.container-calendar-wrapper-red-alert .btn,
.checkout-button {
    background-color: #E63213!important;
}

/*Conjuring Calendar Styles*/
.container-calendar-wrapper-conjuring,
.container-calendar-wrapper-conjuring .available-cell,
.container-calendar-wrapper-conjuring .time-slot-cell div {
    border-color: #1A6AE3!important;
}

.container-calendar-wrapper-conjuring .btn,
.checkout-button {
    background-color: #1A6AE3!important;
}
